darcs-2.18.2: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.UI.Commands.Pull

Contents

- Commands.
- Utility functions.

Synopsis

- pull :: DarcsCommand
- fetch :: DarcsCommand
- pullCmd :: PatchApplier pa => pa -> (AbsolutePath, AbsolutePath) -> [DarcsFlag] -> [String] -> IO ()
- data StandardPatchApplier
- fetchPatches :: forall (p :: Type -> Type -> Type) wU wR. (RepoPatch p, ApplyState p ~ Tree) => AbsolutePath -> [DarcsFlag] -> [String] -> String -> Repository 'RW p wU wR -> IO (Sealed (Fork (PatchSet p) (FL (PatchInfoAnd p)) (FL (PatchInfoAnd p)) Origin wR))

# Commands.

pull :: DarcsCommand #

fetch :: DarcsCommand #

pullCmd :: PatchApplier pa => pa -> (AbsolutePath, AbsolutePath) -> [DarcsFlag] -> [String] -> IO () #

data StandardPatchApplier #

#### Instances

Instances details

PatchApplier StandardPatchApplier # |

Instance details

Defined in Darcs.UI.ApplyPatches

Methods

repoJob :: StandardPatchApplier -> (forall (p :: Type -> Type -> Type) wR wU. (RepoPatch p, ApplyState p ~ Tree) => PatchProxy p -> Repository 'RW p wU wR -> IO ()) -> RepoJob 'RW () #

applyPatches :: forall (p :: Type -> Type -> Type) wR wU wZ. (RepoPatch p, ApplyState p ~ Tree) => StandardPatchApplier -> PatchProxy p -> String -> [DarcsFlag] -> Repository 'RW p wU wR -> Fork (PatchSet p) (FL (PatchInfoAnd p)) (FL (PatchInfoAnd p)) Origin wR wZ -> IO () #

# Utility functions.

fetchPatches :: forall (p :: Type -> Type -> Type) wU wR. (RepoPatch p, ApplyState p ~ Tree) => AbsolutePath -> [DarcsFlag] -> [String] -> String -> Repository 'RW p wU wR -> IO (Sealed (Fork (PatchSet p) (FL (PatchInfoAnd p)) (FL (PatchInfoAnd p)) Origin wR)) #